#
# spec file for package python-jsonpatch
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-jsonpatch
Version:        1.23
Release:        lp151.1.1
Summary:        Python - JSON-Patches
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/stefankoegl/python-json-patch
Source:         https://files.pythonhosted.org/packages/source/j/jsonpatch/jsonpatch-%{version}.tar.gz
BuildRequires:  %{python_module jsonpointer >= 1.9}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-jsonpointer >= 1.9
Requires(post): update-alternatives
Requires(preun): update-alternatives
# provides jsondiff binary too
Conflicts:      python2-jsondiff
Conflicts:      python3-jsondiff
BuildArch:      noarch
%python_subpackages

%description
Python module to apply JSON-Patches (according to RFC 6902).

%prep
%setup -q -n jsonpatch-%{version}

%build
%python_build

%install
%python_install

# Prepare for update-alternatives usage
for p in jsonpatch jsondiff ; do
    %python_clone -a %{buildroot}%{_bindir}/$p
done

%check
%python_exec tests.py

%post
%python_install_alternative jsonpatch jsondiff

%preun
%python_uninstall_alternative jsonpatch jsondiff

%files %{python_files}
%license COPYING
%doc AUTHORS README.md
%python_alternative %{_bindir}/jsonpatch
%python_alternative %{_bindir}/jsondiff
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon May 14 2018 tchvatal@suse.com
- Version update to 1.23:
  * dropped support for python 2.6
  * More testcases for various bugs
  * Various code cleanups
- Run tests
- Conflict with python-jsondiff as it provides jsondiff binary too
* Tue Aug  8 2017 tbechtold@suse.com
- Fix Requires
* Fri Jul 28 2017 darin@darins.net
- Convert packaging to Singlespec
- update to 1.16
* Tue Nov 15 2016 dmueller@suse.com
- udpate to 1.14.0
* Mon Aug 15 2016 toddrme2178@gmail.com
- Fix update-alternatives implementation.
* Mon Jun 22 2015 tbechtold@suse.com
- update to 1.11.0:
  * bump version to 1.11
  * Fix tests for Python 3.2
  * bump version to 1.10
  * Require pypandoc instead of pandoc for setup.py
  * Fix make_patch with unicode paths
  * Enable container-based builds on Travis-CI
- Update Requires according to requirements.txt
* Wed Feb  4 2015 tbechtold@suse.com
- update to version 1.9:
  * bump version to 1.9
  * require jsonpointer>=1.5
  * Use ABCs instead of list/dict, fixes #33
  * Convert readme from markdown to rst for PyPI
  * Added Python 3.4 and PyPy3 to the build matrix.
  * bump version to 1.8
  * Fix installation of commandline scripts (fixes #31)
  * raise JsonPatchException on missing patch attributes
  * Add wheel as dev dependency for wheel packages
- Requires(pre) coreutils to be able to use "rm" cmd
* Sat Nov  8 2014 Led <ledest@gmail.com>
- fix bashisms in pre script
* Mon Sep 15 2014 tbechtold@suse.com
- update to version 1.7:
  * bump version to 1.7
  * [Setup] use utf-8 explicitly in setup.py
  * bump version to 1.6
  * Fix make_patch() when root is an array (fixes #28)
  * Merge branch 'remove-error' of https://github.com/umago/python-json-patch
  * Improve error message when removing non-existent objects
  * bump version to 1.5
  * fix test for Python 3
  * fix make_patch where obj keys contain "/", fixes #26
- Update Requires for python-jsonpointer
* Fri Nov 15 2013 speilicke@suse.com
- Don't ghost /etc/alternatives/..., post-build-checks on 12.2 fail
* Thu Nov 14 2013 speilicke@suse.com
- Fix update-alternatives (SLE_11_SP3)
* Mon Oct 21 2013 dmueller@suse.com
- update to 1.3:
  * Improved Tests, add command line utilities
- add update-alternatives
* Thu Jul 11 2013 dmueller@suse.com
- update to 1.1:
  * various python 3.x fixes
* Mon Apr 29 2013 dmueller@suse.com
- update to 1.0
  * first stable release, some bugfixes
* Fri Feb 22 2013 saschpe@suse.de
- Initial version
